//Priority: 2
/**
  
  █▀▄▀█ █▀█ █▄░█ █░█ █▀▄▀█ █▀▀ █▄░█ ▀█▀ ▄▀█ █░░   █▀▀ ▀▄▀ █▀█ █▀▀ █▀█ █ █▀▀ █▄░█ █▀▀ █▀▀
  █░▀░█ █▄█ █░▀█ █▄█ █░▀░█ ██▄ █░▀█ ░█░ █▀█ █▄▄   ██▄ █░█ █▀▀ ██▄ █▀▄ █ ██▄ █░▀█ █▄▄ ██▄

  ☻/  * @file The Item tags script
  /▌  * @copyright KnightDexx's Modded Minecraft World & ModernGamingWorld
  /\

*/
ServerEvents.tags('item', event => {

   //======= Misc =======
   event.add('mythicbotany:alf_upgrade', 'mythicbotany:alfsteel_template')
   event.add('forge:coconut', '#forge:fruits/coconut')
   event.add('forge:fruits/clove', 'productivetrees:clove')
   event.add('forge:fruits/coffee_bean', 'productivetrees:coffee_bean')
   event.add('forge:fruits/star_anise', 'productivetrees:star_anise')
   event.add('minecraft:prismarine_shard', 'minecraft:prismarine_shard')
   event.add('forge:plates/compressed_iron', 'kubejs:compressed_iron_plate')
   event.add('forge:ingots/infused_iron', 'naturesaura:infused_iron')
   event.add('forge:foods/raw_rabbit', 'minecraft:rabbit')
   event.add('vinery:dark_cherry_logs', '#vinery:cherry_logs')
   event.add('c:sugar', '#forge:sugar')
   event.add('c:crops/rice', '#forge:rice')
   event.add('c:water_buckets', '#forge:water_buckets')
   event.add('letsdo_addon_compat:tools/knives', '#forge:tools/knives')
   event.add('forge:fruits/cinnamon', '#forge:crops/cinnamon')
   event.add('forge:fruits/nutmeg', '#forge:crops/nutmeg')
   event.add('forge:sandstone/venus_sandstone', 'ad_astra:venus_sandstone')
   event.add('ad_astra:venus_sandstone', 'ad_astra:venus_sandstone')
   event.add('forge:food/cheese', '#forge:foods/cheese')
   event.add('forge:food/pastas', '#forge:foods/pastas')
   event.add('forge:food/raw_pasta', '#forge:pasta/raw_pasta')
   event.add('forge:ores/ice_shard', [
      'ad_astra:moon_ice_shard_ore',
      'ad_astra:mars_ice_shard_ore',
      'ad_astra:glacio_ice_shard_ore',
      'ad_astra:deepslate_ice_shard_ore'
   ])
   event.add('minecraft:mushroom_hyphae', [
      'minecraft:crimson_hyphae',
      'minecraft:stripped_crimson_hyphae',
      'minecraft:warped_hyphae',
      'minecraft:stripped_warped_hyphae',
      'forbidden_arcanus:fungyss_hyphae'
   ])

   //======= Industrial Foregoing =======
   event.add('industrialforegoing:bioreactor', '#forge:crops')

   //======= Power Cells =======
   event.add('rftools:powercell', [
      'rftoolspower:cell1',
      'rftoolspower:cell2',
      'rftoolspower:cell3'
   ])

   //======= Dimensional Cells =======
   event.add('rftools:dimensionalcell', [
      'rftoolspower:dimensionalcell',
      'rftoolspower:dimensionalcell_simple',
      'rftoolspower:dimensionalcell_advanced'
   ])

   //======= BLUE SKIES =======
   //======= Spears =======
   event.add('blue_skies:spears', [
      'blue_skies:bluebright_spear',
      'blue_skies:starlit_spear',
      'blue_skies:frostbright_spear',
      'blue_skies:lunar_spear',
      'blue_skies:dusk_spear',
      'blue_skies:maple_spear',
      'blue_skies:cherry_spear'
   ])

   //======= Summoner Artifact Drops =======
   event.add('blue_skies:summoner_drops', [
      'blue_skies:ethereal_arc',
      'blue_skies:soulbound_spear',
      'blue_skies:summoning_tome',
      'blue_skies:summoning_table',
      'blue_skies:blinding_rage'
   ])

   //======= Starlit Crusher Artifact Drops =======
   event.add('blue_skies:starlit_crusher_drops', [
      'blue_skies:crushing_hammer',
      'blue_skies:nature_arc',
      'blue_skies:defying_starlight'
   ])

   //======= Alchemist Artifact Drops =======
   event.add('blue_skies:alchemist_drops', [
      'blue_skies:spike_shield',
      'blue_skies:dusk_arc',
      'blue_skies:alchemy_table',
      'blue_skies:blinding_rage'
   ])

   //======= Arachnarch Artifact Drops =======
   event.add('blue_skies:arachnarch_drops', [
      'blue_skies:venom_sac',
      'blue_skies:poison_arc',
      'blue_skies:different_sword',
      'blue_skies:venomous_encounter'
   ])

   //======= Tag issues =======
   event.remove('minecraft:boats', [
      'bambooeverything:dry_bamboo_raft'
   ])
   event.remove('forge:plates/plastic', [
      'swplanets:plastic_plate'
   ])

})